Bug 1007121 - [abrt] system-config-services-0.101.10-2.fc20: connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "list_services" with signature "" on interface "org.fedoraproject.Config.Services.ServiceHerder" doesn't exist [NEEDINFO]
[abrt] system-config-services-0.101.10-2.fc20: connection.py:651:call_blockin...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:55c110d1394ff09b795f853d2ce...
: CommonBugs, Reopened
Depends On:
Blocks: F20FinalBlocker
  Show dependency treegraph
 
Reported: 2013-09-11 20:32 EDT by Joshua
Modified: 2015-06-29 20:41 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:41:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
awilliam: needinfo?


Attachments (Terms of Use)
File: backtrace (2.22 KB, text/plain)
2013-09-11 20:33 EDT, Joshua
no flags Details
File: dso_list (68 bytes, text/plain)
2013-09-11 20:33 EDT, Joshua
no flags Details
File: environ (2.25 KB, text/plain)
2013-09-11 20:33 EDT, Joshua
no flags Details

  None (edit)
Description Joshua 2013-09-11 20:32:59 EDT
Description of problem:
as root -- system-config-services &

Version-Release number of selected component:
system-config-services-0.101.10-2.fc20

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /sbin/system-config-services
executable:     /sbin/system-config-services
kernel:         3.11.0-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "list_services" with signature "" on interface "org.fedoraproject.Config.Services.ServiceHerder" doesn't exist


Traceback (most recent call last):
  File "/sbin/system-config-services", line 49, in <module>
    UIController(use_dbus=use_dbus).run()
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 1230, in __init__
    self.serviceherders.append(cls(bus=self._bus))
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 62, in __init__
    for service_name in self.list_services():
  File "<string>", line 2, in list_services
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 103, in _enable_proxy
    return func(*p, **k)
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 74, in list_services
    return self.herder_interface.list_services()
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 50, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "list_services" with signature "" on interface "org.fedoraproject.Config.Services.ServiceHerder" doesn't exist


Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x7f5e81f8edd0>
args: ()
object_path: '/org/fedoraproject/Config/Services/ServiceHerders/SysVServiceHerder'
signature: None
bus_name: dbus.UTF8String(':1.55')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: 2147483.647
kwargs: {}
dbus_interface: 'org.fedoraproject.Config.Services.ServiceHerder'
message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Config/Services/ServiceHerders/SysVServiceHerder, iface: org.fedoraproject.Config.Services.ServiceHerder, member: list_services dest: :1.55>
method: 'list_services'
Comment 1 Joshua 2013-09-11 20:33:07 EDT
Created attachment 796580 [details]
File: backtrace
Comment 2 Joshua 2013-09-11 20:33:10 EDT
Created attachment 796581 [details]
File: dso_list
Comment 3 Joshua 2013-09-11 20:33:13 EDT
Created attachment 796582 [details]
File: environ
Comment 4 Yves L'ECUYER 2013-10-29 12:39:29 EDT
Description of problem:
just launching system-config-service from admin menu

Version-Release number of selected component:
system-config-services-0.101.10-2.fc20

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.11.0-300.fc20.x86_64
runlevel:       3 5
type:           Python
uid:            0

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "list_services" with signature "" on interface "org.fedoraproject.Config.Services.ServiceHerder" doesn't exist


Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 49, in <module>
    UIController(use_dbus=use_dbus).run()
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 1230, in __init__
    self.serviceherders.append(cls(bus=self._bus))
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 62, in __init__
    for service_name in self.list_services():
  File "<string>", line 2, in list_services
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 121, in _enable_proxy
    return func(*p, **k)
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 74, in list_services
    return self.herder_interface.list_services()
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 51, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "list_services" with signature "" on interface "org.fedoraproject.Config.Services.ServiceHerder" doesn't exist


Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x7f445ac5ae30>
args: ()
object_path: '/org/fedoraproject/Config/Services/ServiceHerders/SysVServiceHerder'
signature: None
bus_name: dbus.UTF8String(':1.451')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: 2147483.647
kwargs: {}
dbus_interface: 'org.fedoraproject.Config.Services.ServiceHerder'
message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Config/Services/ServiceHerders/SysVServiceHerder, iface: org.fedoraproject.Config.Services.ServiceHerder, member: list_services dest: :1.451>
method: 'list_services'
Comment 5 Moez Roy 2013-11-05 02:20:38 EST
Description of problem:
I just started 'system-config-services' and it crashed 

Version-Release number of selected component:
system-config-services-0.101.10-2.fc20

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.11.6-302.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "list_services" with signature "" on interface "org.fedoraproject.Config.Services.ServiceHerder" doesn't exist


Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 49, in <module>
    UIController(use_dbus=use_dbus).run()
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 1230, in __init__
    self.serviceherders.append(cls(bus=self._bus))
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 62, in __init__
    for service_name in self.list_services():
  File "<string>", line 2, in list_services
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 121, in _enable_proxy
    return func(*p, **k)
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 74, in list_services
    return self.herder_interface.list_services()
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 51, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "list_services" with signature "" on interface "org.fedoraproject.Config.Services.ServiceHerder" doesn't exist


Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x1654e30>
args: ()
object_path: '/org/fedoraproject/Config/Services/ServiceHerders/SysVServiceHerder'
signature: None
bus_name: dbus.UTF8String(':1.135')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: 2147483.647
kwargs: {}
dbus_interface: 'org.fedoraproject.Config.Services.ServiceHerder'
message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Config/Services/ServiceHerders/SysVServiceHerder, iface: org.fedoraproject.Config.Services.ServiceHerder, member: list_services dest: :1.135>
method: 'list_services'
Comment 6 Adam Williamson 2013-11-06 00:14:24 EST
-1 blocker, does not violate any criteria. Crashes in applications are not Beta blockers. Crashes on startup or on very basic operations may be Final blockers in applications installed by default; s-c-services is installed by default in KDE, so this may be a Final blocker.
Comment 7 Mike Ruckman 2013-11-06 12:46:24 EST
Discussed in 2013-11-06 Blocker Review Meeting [1]. Voted a RejectedBlocker because all [2] these crashes (reported by abrt) don't have reproducers and aren't in crucial components. Please re-propose them later when reproducers are known and we can reconsider blocker status.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-11-06/
[2] bug 1000669 bug 1000752 bug 1000756 bug 1007121 bug 1015347 bug 1016935
Comment 8 Rex Dieter 2013-11-06 13:00:57 EST
Fwiw, I can reliably reproduce this bug... that said, my gut doesn't consider it a blocker either, post-release fix is fine too.
Comment 9 Adam Williamson 2013-11-12 20:22:43 EST
rdieter: well, the criteria as written are pretty clear that it is a blocker:

"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test."

https://fedoraproject.org/wiki/Fedora_20_Final_Release_Criteria#Default_application_functionality

We've discussed the criteria before and you (KDE team) have stated you're happy with the scope of the criteria as they're written, but if this has changed, we may need to re-consider.
Comment 10 Jaroslav Reznik 2013-11-13 07:12:22 EST
Nils, is system-config-services still being actively developed or not (as it's not part of Desktop spin...). If not, it's probably time to remove it from KDE spin too.
Comment 11 Mike Ruckman 2013-11-14 12:33:34 EST
Discussed in 2013-11-14 Blocker Review Meeting [1]. This bug was seen as a duplicate of Bug 790339. Closing it as a duplicate.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-11-14/

*** This bug has been marked as a duplicate of bug 790339 ***
Comment 12 Nils Philippsen 2014-06-13 07:46:57 EDT
Bah, went under my radar, this one. Looked like one of these inexplicable dbus method call issues that abrt inundates me with, sorry.

This one is different because for whatever reason it seems to assume systemd isn't present and instead uses the old SysVinit objects:

message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Config/Services/ServiceHerders/SysVServiceHerder, iface: org.fedoraproject.Config.Services.ServiceHerder, member: list_services dest: :1.55>

Would any of you who experience(d) the issue please run system-config-services from the command line and check if it outputs something like the following?

"Couldn't acquire connection to systemd. Falling back to legacy SysV scheme."

If there is any other output, please pist it as well. Thanks.

(In reply to Jaroslav Reznik from comment #10)
> Nils, is system-config-services still being actively developed or not (as
> it's not part of Desktop spin...). If not, it's probably time to remove it
> from KDE spin too.

In the light of cockpit I plan to phase out s-c-tools in the long run. Not that this shall go unmaintained until then however.
Comment 13 Adam Williamson 2014-06-13 16:30:58 EDT
in current Rawhide it seems to work OK, I'll try and check F20 later.
Comment 14 Adam Williamson 2014-06-13 17:42:44 EDT
seems to work OK on the F20 test system I have here too. anyone else can still reproduce?
Comment 15 Fedora End Of Life 2015-05-29 05:23:35 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-06-29 20:41:58 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.